
{# {% extends 'base.html.twig' %} #}
{% include 'dashboard/header.html.twig' %}
{% include 'dashboard/sidebar.html.twig' %} 

<!DOCTYPE html>
<html lang="en">

<head>
  <!-- Required meta tags -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <title>Star Admin Free Bootstrap Admin Dashboard Template</title>
  <!-- plugins:css -->
  <link rel="stylesheet" href={{ asset('vendors/iconfonts/mdi/css/materialdesignicons.min.css') }}>
  <link rel="stylesheet" href={{ asset('vendors/css/vendor.bundle.base.css') }}>
  <link rel="stylesheet" href={{ asset('vendors/css/vendor.bundle.addons.css') }} >
  <link rel="stylesheet" href={{ asset('path/to/font-awesome/css/font-awesome.min.css') }}>
  <link rel="stylesheet" href={{ asset('netdna.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css') }}>
  <!-- endinject -->
  <!-- plugin css for this page -->
  <!-- End plugin css for this page -->
  <!-- inject:css -->
  <link rel="stylesheet" href={{ asset('css/style.css') }}>
  <!-- endinject -->
  <link rel="shortcut icon" href={{ asset('images/favicon.png') }}  />
</head>
<hr>


          {# >>>>>>>>>>>>>>> TextBox Content  <<<<<<<<<<< #}

          <div class="card">
              <div class="card" style="width: 60rem;">
                <div class="card-body" >
                  <div id="header-content">
                    <div class="alert alert-primary" role="alert">
                      <span class="glyphicon glyphicon-header"> Header</span>
                    </div>
                  </div>
                </div>
                
                <div class="card-body"tyle="width: 60rem;">
                  <div id="content-content"> 
                    <div class="alert alert-light" role="alert">
                      <span class="glyphicon glyphicon-header"> Content</span>
                    </div> 
                  </div>
                </div>
                
                <div class="card" style="width: 60rem;">
                    <div class="card-body" >
                      <div id="footer-content">
                        <div class="alert alert-success" role="alert">
                          <span class="glyphicon glyphicon-header"> footer</span>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
            
            {% include 'dashboard/footer.html.twig' %}
            
            <script>
   
            function contents(args){
              var type = args[0];
              var id = args[1];
              
              // Set up our HTTP request
              var xhr = new XMLHttpRequest();

              // Setup our listener to process completed requests
              xhr.onload = function () {

                // Process our return data
                if (xhr.status >= 200 && xhr.status < 300) {
                  // What do when the request is successful
                  console.log('success!', xhr);
                 // data retrive
                 if(type == "header"){
                  var contentId = "header-content";
                } else if(type == "content"){
                  var contentId = "content-content";
                }
                else if(type == "footer"){
                  var contentId = "footer-content";
                }

                document.getElementById(contentId).innerHTML = xhr.response;
                
                 // .data retrive 
                } else {
                  // What do when the request fails
                  console.log('The request failed!');
                }

                // Code that should run regardless of the request status
                console.log('This always runs...');
              };

              // Create and send a GET request
              // The first argument is the post type (GET, POST, PUT, DELETE, etc.)
              // The second argument is the endpoint URL
              xhr.open('GET', 'http://127.0.0.1:8000/dashboard/show?id='+id+'&type='+type);
              xhr.send();

            } 

            </script>